#ifndef OPENB3D_OPENB3D_OPENB3D_BMX_RELEASE_WIN32_X64_H
#define OPENB3D_OPENB3D_OPENB3D_BMX_RELEASE_WIN32_X64_H

#include <brl.mod/blitz.mod/.bmx/blitz.bmx.release.win32.x64.h>
#include <openb3d.mod/openb3dlib.mod/.bmx/openb3dlib.bmx.release.win32.x64.h>
#include <brl.mod/glmax2d.mod/.bmx/glmax2d.bmx.release.win32.x64.h>
#include <brl.mod/bmploader.mod/.bmx/bmploader.bmx.release.win32.x64.h>
#include <brl.mod/pngloader.mod/.bmx/pngloader.bmx.release.win32.x64.h>
#include <brl.mod/jpgloader.mod/.bmx/jpgloader.bmx.release.win32.x64.h>
#include <brl.mod/retro.mod/.bmx/retro.bmx.release.win32.x64.h>
#include <brl.mod/map.mod/.bmx/map.bmx.release.win32.x64.h>
int __bb_openb3d_openb3d_openb3d();
struct openb3d_openb3d_TGlobal_obj;
struct openb3d_openb3d_TEntity_obj;
struct openb3d_openb3d_TCamera_obj;
struct openb3d_openb3d_TLight_obj;
struct openb3d_openb3d_TPivot_obj;
struct openb3d_openb3d_TMesh_obj;
struct openb3d_openb3d_TSprite_obj;
struct openb3d_openb3d_TBone_obj;
struct openb3d_openb3d_TSurface_obj;
struct openb3d_openb3d_TTexture_obj;
struct openb3d_openb3d_TBrush_obj;
struct openb3d_openb3d_TAnimation_obj;
struct openb3d_openb3d_TPick_obj;
struct openb3d_openb3d_TTerrain_obj;
struct openb3d_openb3d_TShader_obj;
struct openb3d_openb3d_TShadowObject_obj;
struct openb3d_openb3d_THardwareInfo_obj;
void _openb3d_openb3d_TGlobal_New(struct openb3d_openb3d_TGlobal_obj* o);
struct BBClass_openb3d_openb3d_TGlobal {
	BBClass*  super;
	void      (*free)( BBObject *o );
	BBDebugScope* debug_scope;
	unsigned int instance_size;
	void      (*ctor)( BBOBJECT o );
	void      (*dtor)( BBOBJECT o );
	BBSTRING  (*ToString)( BBOBJECT x );
	int       (*Compare)( BBOBJECT x,BBOBJECT y );
	BBOBJECT  (*SendMessage)( BBOBJECT o,BBOBJECT m,BBOBJECT s );
	BBINTERFACETABLE itable;
	void*     extra;
	unsigned int obj_size;
};

struct openb3d_openb3d_TGlobal_obj {
	struct BBClass_openb3d_openb3d_TGlobal* clas;
};
extern struct BBClass_openb3d_openb3d_TGlobal openb3d_openb3d_TGlobal;
void _openb3d_openb3d_TEntity_New(struct openb3d_openb3d_TEntity_obj* o);
struct BBClass_openb3d_openb3d_TEntity {
	BBClass*  super;
	void      (*free)( BBObject *o );
	BBDebugScope* debug_scope;
	unsigned int instance_size;
	void      (*ctor)( BBOBJECT o );
	void      (*dtor)( BBOBJECT o );
	BBSTRING  (*ToString)( BBOBJECT x );
	int       (*Compare)( BBOBJECT x,BBOBJECT y );
	BBOBJECT  (*SendMessage)( BBOBJECT o,BBOBJECT m,BBOBJECT s );
	BBINTERFACETABLE itable;
	void*     extra;
	unsigned int obj_size;
};

struct openb3d_openb3d_TEntity_obj {
	struct BBClass_openb3d_openb3d_TEntity* clas;
};
extern struct BBClass_openb3d_openb3d_TEntity openb3d_openb3d_TEntity;
void _openb3d_openb3d_TCamera_New(struct openb3d_openb3d_TCamera_obj* o);
struct BBClass_openb3d_openb3d_TCamera {
	BBClass*  super;
	void      (*free)( BBObject *o );
	BBDebugScope* debug_scope;
	unsigned int instance_size;
	void      (*ctor)( BBOBJECT o );
	void      (*dtor)( BBOBJECT o );
	BBSTRING  (*ToString)( BBOBJECT x );
	int       (*Compare)( BBOBJECT x,BBOBJECT y );
	BBOBJECT  (*SendMessage)( BBOBJECT o,BBOBJECT m,BBOBJECT s );
	BBINTERFACETABLE itable;
	void*     extra;
	unsigned int obj_size;
};

struct openb3d_openb3d_TCamera_obj {
	struct BBClass_openb3d_openb3d_TCamera* clas;
};
extern struct BBClass_openb3d_openb3d_TCamera openb3d_openb3d_TCamera;
void _openb3d_openb3d_TLight_New(struct openb3d_openb3d_TLight_obj* o);
struct BBClass_openb3d_openb3d_TLight {
	BBClass*  super;
	void      (*free)( BBObject *o );
	BBDebugScope* debug_scope;
	unsigned int instance_size;
	void      (*ctor)( BBOBJECT o );
	void      (*dtor)( BBOBJECT o );
	BBSTRING  (*ToString)( BBOBJECT x );
	int       (*Compare)( BBOBJECT x,BBOBJECT y );
	BBOBJECT  (*SendMessage)( BBOBJECT o,BBOBJECT m,BBOBJECT s );
	BBINTERFACETABLE itable;
	void*     extra;
	unsigned int obj_size;
};

struct openb3d_openb3d_TLight_obj {
	struct BBClass_openb3d_openb3d_TLight* clas;
};
extern struct BBClass_openb3d_openb3d_TLight openb3d_openb3d_TLight;
void _openb3d_openb3d_TPivot_New(struct openb3d_openb3d_TPivot_obj* o);
struct BBClass_openb3d_openb3d_TPivot {
	BBClass*  super;
	void      (*free)( BBObject *o );
	BBDebugScope* debug_scope;
	unsigned int instance_size;
	void      (*ctor)( BBOBJECT o );
	void      (*dtor)( BBOBJECT o );
	BBSTRING  (*ToString)( BBOBJECT x );
	int       (*Compare)( BBOBJECT x,BBOBJECT y );
	BBOBJECT  (*SendMessage)( BBOBJECT o,BBOBJECT m,BBOBJECT s );
	BBINTERFACETABLE itable;
	void*     extra;
	unsigned int obj_size;
};

struct openb3d_openb3d_TPivot_obj {
	struct BBClass_openb3d_openb3d_TPivot* clas;
};
extern struct BBClass_openb3d_openb3d_TPivot openb3d_openb3d_TPivot;
void _openb3d_openb3d_TMesh_New(struct openb3d_openb3d_TMesh_obj* o);
struct BBClass_openb3d_openb3d_TMesh {
	BBClass*  super;
	void      (*free)( BBObject *o );
	BBDebugScope* debug_scope;
	unsigned int instance_size;
	void      (*ctor)( BBOBJECT o );
	void      (*dtor)( BBOBJECT o );
	BBSTRING  (*ToString)( BBOBJECT x );
	int       (*Compare)( BBOBJECT x,BBOBJECT y );
	BBOBJECT  (*SendMessage)( BBOBJECT o,BBOBJECT m,BBOBJECT s );
	BBINTERFACETABLE itable;
	void*     extra;
	unsigned int obj_size;
};

struct openb3d_openb3d_TMesh_obj {
	struct BBClass_openb3d_openb3d_TMesh* clas;
};
extern struct BBClass_openb3d_openb3d_TMesh openb3d_openb3d_TMesh;
void _openb3d_openb3d_TSprite_New(struct openb3d_openb3d_TSprite_obj* o);
struct BBClass_openb3d_openb3d_TSprite {
	BBClass*  super;
	void      (*free)( BBObject *o );
	BBDebugScope* debug_scope;
	unsigned int instance_size;
	void      (*ctor)( BBOBJECT o );
	void      (*dtor)( BBOBJECT o );
	BBSTRING  (*ToString)( BBOBJECT x );
	int       (*Compare)( BBOBJECT x,BBOBJECT y );
	BBOBJECT  (*SendMessage)( BBOBJECT o,BBOBJECT m,BBOBJECT s );
	BBINTERFACETABLE itable;
	void*     extra;
	unsigned int obj_size;
};

struct openb3d_openb3d_TSprite_obj {
	struct BBClass_openb3d_openb3d_TSprite* clas;
};
extern struct BBClass_openb3d_openb3d_TSprite openb3d_openb3d_TSprite;
void _openb3d_openb3d_TBone_New(struct openb3d_openb3d_TBone_obj* o);
struct BBClass_openb3d_openb3d_TBone {
	BBClass*  super;
	void      (*free)( BBObject *o );
	BBDebugScope* debug_scope;
	unsigned int instance_size;
	void      (*ctor)( BBOBJECT o );
	void      (*dtor)( BBOBJECT o );
	BBSTRING  (*ToString)( BBOBJECT x );
	int       (*Compare)( BBOBJECT x,BBOBJECT y );
	BBOBJECT  (*SendMessage)( BBOBJECT o,BBOBJECT m,BBOBJECT s );
	BBINTERFACETABLE itable;
	void*     extra;
	unsigned int obj_size;
};

struct openb3d_openb3d_TBone_obj {
	struct BBClass_openb3d_openb3d_TBone* clas;
};
extern struct BBClass_openb3d_openb3d_TBone openb3d_openb3d_TBone;
void _openb3d_openb3d_TSurface_New(struct openb3d_openb3d_TSurface_obj* o);
struct BBClass_openb3d_openb3d_TSurface {
	BBClass*  super;
	void      (*free)( BBObject *o );
	BBDebugScope* debug_scope;
	unsigned int instance_size;
	void      (*ctor)( BBOBJECT o );
	void      (*dtor)( BBOBJECT o );
	BBSTRING  (*ToString)( BBOBJECT x );
	int       (*Compare)( BBOBJECT x,BBOBJECT y );
	BBOBJECT  (*SendMessage)( BBOBJECT o,BBOBJECT m,BBOBJECT s );
	BBINTERFACETABLE itable;
	void*     extra;
	unsigned int obj_size;
};

struct openb3d_openb3d_TSurface_obj {
	struct BBClass_openb3d_openb3d_TSurface* clas;
};
extern struct BBClass_openb3d_openb3d_TSurface openb3d_openb3d_TSurface;
void _openb3d_openb3d_TTexture_New(struct openb3d_openb3d_TTexture_obj* o);
struct BBClass_openb3d_openb3d_TTexture {
	BBClass*  super;
	void      (*free)( BBObject *o );
	BBDebugScope* debug_scope;
	unsigned int instance_size;
	void      (*ctor)( BBOBJECT o );
	void      (*dtor)( BBOBJECT o );
	BBSTRING  (*ToString)( BBOBJECT x );
	int       (*Compare)( BBOBJECT x,BBOBJECT y );
	BBOBJECT  (*SendMessage)( BBOBJECT o,BBOBJECT m,BBOBJECT s );
	BBINTERFACETABLE itable;
	void*     extra;
	unsigned int obj_size;
};

struct openb3d_openb3d_TTexture_obj {
	struct BBClass_openb3d_openb3d_TTexture* clas;
};
extern struct BBClass_openb3d_openb3d_TTexture openb3d_openb3d_TTexture;
void _openb3d_openb3d_TBrush_New(struct openb3d_openb3d_TBrush_obj* o);
struct BBClass_openb3d_openb3d_TBrush {
	BBClass*  super;
	void      (*free)( BBObject *o );
	BBDebugScope* debug_scope;
	unsigned int instance_size;
	void      (*ctor)( BBOBJECT o );
	void      (*dtor)( BBOBJECT o );
	BBSTRING  (*ToString)( BBOBJECT x );
	int       (*Compare)( BBOBJECT x,BBOBJECT y );
	BBOBJECT  (*SendMessage)( BBOBJECT o,BBOBJECT m,BBOBJECT s );
	BBINTERFACETABLE itable;
	void*     extra;
	unsigned int obj_size;
};

struct openb3d_openb3d_TBrush_obj {
	struct BBClass_openb3d_openb3d_TBrush* clas;
};
extern struct BBClass_openb3d_openb3d_TBrush openb3d_openb3d_TBrush;
void _openb3d_openb3d_TAnimation_New(struct openb3d_openb3d_TAnimation_obj* o);
struct BBClass_openb3d_openb3d_TAnimation {
	BBClass*  super;
	void      (*free)( BBObject *o );
	BBDebugScope* debug_scope;
	unsigned int instance_size;
	void      (*ctor)( BBOBJECT o );
	void      (*dtor)( BBOBJECT o );
	BBSTRING  (*ToString)( BBOBJECT x );
	int       (*Compare)( BBOBJECT x,BBOBJECT y );
	BBOBJECT  (*SendMessage)( BBOBJECT o,BBOBJECT m,BBOBJECT s );
	BBINTERFACETABLE itable;
	void*     extra;
	unsigned int obj_size;
};

struct openb3d_openb3d_TAnimation_obj {
	struct BBClass_openb3d_openb3d_TAnimation* clas;
};
extern struct BBClass_openb3d_openb3d_TAnimation openb3d_openb3d_TAnimation;
void _openb3d_openb3d_TPick_New(struct openb3d_openb3d_TPick_obj* o);
struct BBClass_openb3d_openb3d_TPick {
	BBClass*  super;
	void      (*free)( BBObject *o );
	BBDebugScope* debug_scope;
	unsigned int instance_size;
	void      (*ctor)( BBOBJECT o );
	void      (*dtor)( BBOBJECT o );
	BBSTRING  (*ToString)( BBOBJECT x );
	int       (*Compare)( BBOBJECT x,BBOBJECT y );
	BBOBJECT  (*SendMessage)( BBOBJECT o,BBOBJECT m,BBOBJECT s );
	BBINTERFACETABLE itable;
	void*     extra;
	unsigned int obj_size;
};

struct openb3d_openb3d_TPick_obj {
	struct BBClass_openb3d_openb3d_TPick* clas;
};
extern struct BBClass_openb3d_openb3d_TPick openb3d_openb3d_TPick;
void _openb3d_openb3d_TTerrain_New(struct openb3d_openb3d_TTerrain_obj* o);
struct BBClass_openb3d_openb3d_TTerrain {
	BBClass*  super;
	void      (*free)( BBObject *o );
	BBDebugScope* debug_scope;
	unsigned int instance_size;
	void      (*ctor)( BBOBJECT o );
	void      (*dtor)( BBOBJECT o );
	BBSTRING  (*ToString)( BBOBJECT x );
	int       (*Compare)( BBOBJECT x,BBOBJECT y );
	BBOBJECT  (*SendMessage)( BBOBJECT o,BBOBJECT m,BBOBJECT s );
	BBINTERFACETABLE itable;
	void*     extra;
	unsigned int obj_size;
};

struct openb3d_openb3d_TTerrain_obj {
	struct BBClass_openb3d_openb3d_TTerrain* clas;
};
extern struct BBClass_openb3d_openb3d_TTerrain openb3d_openb3d_TTerrain;
void _openb3d_openb3d_TShader_New(struct openb3d_openb3d_TShader_obj* o);
struct BBClass_openb3d_openb3d_TShader {
	BBClass*  super;
	void      (*free)( BBObject *o );
	BBDebugScope* debug_scope;
	unsigned int instance_size;
	void      (*ctor)( BBOBJECT o );
	void      (*dtor)( BBOBJECT o );
	BBSTRING  (*ToString)( BBOBJECT x );
	int       (*Compare)( BBOBJECT x,BBOBJECT y );
	BBOBJECT  (*SendMessage)( BBOBJECT o,BBOBJECT m,BBOBJECT s );
	BBINTERFACETABLE itable;
	void*     extra;
	unsigned int obj_size;
};

struct openb3d_openb3d_TShader_obj {
	struct BBClass_openb3d_openb3d_TShader* clas;
};
extern struct BBClass_openb3d_openb3d_TShader openb3d_openb3d_TShader;
void _openb3d_openb3d_TShadowObject_New(struct openb3d_openb3d_TShadowObject_obj* o);
struct BBClass_openb3d_openb3d_TShadowObject {
	BBClass*  super;
	void      (*free)( BBObject *o );
	BBDebugScope* debug_scope;
	unsigned int instance_size;
	void      (*ctor)( BBOBJECT o );
	void      (*dtor)( BBOBJECT o );
	BBSTRING  (*ToString)( BBOBJECT x );
	int       (*Compare)( BBOBJECT x,BBOBJECT y );
	BBOBJECT  (*SendMessage)( BBOBJECT o,BBOBJECT m,BBOBJECT s );
	BBINTERFACETABLE itable;
	void*     extra;
	unsigned int obj_size;
};

struct openb3d_openb3d_TShadowObject_obj {
	struct BBClass_openb3d_openb3d_TShadowObject* clas;
};
extern struct BBClass_openb3d_openb3d_TShadowObject openb3d_openb3d_TShadowObject;
void _openb3d_openb3d_THardwareInfo_New(struct openb3d_openb3d_THardwareInfo_obj* o);
struct BBClass_openb3d_openb3d_THardwareInfo {
	BBClass*  super;
	void      (*free)( BBObject *o );
	BBDebugScope* debug_scope;
	unsigned int instance_size;
	void      (*ctor)( BBOBJECT o );
	void      (*dtor)( BBOBJECT o );
	BBSTRING  (*ToString)( BBOBJECT x );
	int       (*Compare)( BBOBJECT x,BBOBJECT y );
	BBOBJECT  (*SendMessage)( BBOBJECT o,BBOBJECT m,BBOBJECT s );
	BBINTERFACETABLE itable;
	void*     extra;
	unsigned int obj_size;
};

struct openb3d_openb3d_THardwareInfo_obj {
	struct BBClass_openb3d_openb3d_THardwareInfo* clas;
};
extern struct BBClass_openb3d_openb3d_THardwareInfo openb3d_openb3d_THardwareInfo;
BBINT openb3d_openb3d_AddMesh(struct openb3d_openb3d_TMesh_obj* bbt_mesh1,struct openb3d_openb3d_TMesh_obj* bbt_mesh2);
BBINT openb3d_openb3d_AddTriangle(struct openb3d_openb3d_TSurface_obj* bbt_surf,BBINT bbt_v0,BBINT bbt_v1,BBINT bbt_v2);
BBINT openb3d_openb3d_AddVertex(struct openb3d_openb3d_TSurface_obj* bbt_surf,BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z,BBFLOAT bbt_u,BBFLOAT bbt_v,BBFLOAT bbt_w);
BBINT openb3d_openb3d_AmbientLight(BBFLOAT bbt_r,BBFLOAT bbt_g,BBFLOAT bbt_b);
BBINT openb3d_openb3d_Animate(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBINT bbt_Mode,BBFLOAT bbt_speed,BBINT bbt_seq,BBINT bbt_trans);
BBINT openb3d_openb3d_Animating(struct openb3d_openb3d_TEntity_obj* bbt_ent);
BBINT openb3d_openb3d_AnimLength(struct openb3d_openb3d_TEntity_obj* bbt_ent);
BBINT openb3d_openb3d_AnimSeq(struct openb3d_openb3d_TEntity_obj* bbt_ent);
BBFLOAT openb3d_openb3d_AnimTime(struct openb3d_openb3d_TEntity_obj* bbt_ent);
BBINT openb3d_openb3d_BrushAlpha(struct openb3d_openb3d_TBrush_obj* bbt_brush,BBFLOAT bbt_a);
BBINT openb3d_openb3d_BrushBlend(struct openb3d_openb3d_TBrush_obj* bbt_brush,BBINT bbt_blend);
BBINT openb3d_openb3d_BrushColor(struct openb3d_openb3d_TBrush_obj* bbt_brush,BBFLOAT bbt_r,BBFLOAT bbt_g,BBFLOAT bbt_b);
BBINT openb3d_openb3d_BrushFX(struct openb3d_openb3d_TBrush_obj* bbt_brush,BBINT bbt_fx);
BBINT openb3d_openb3d_BrushShininess(struct openb3d_openb3d_TBrush_obj* bbt_brush,BBFLOAT bbt_s);
BBINT openb3d_openb3d_BrushTexture(struct openb3d_openb3d_TBrush_obj* bbt_brush,struct openb3d_openb3d_TTexture_obj* bbt_tex,BBINT bbt_frame,BBINT bbt_index);
BBINT openb3d_openb3d_CameraClsColor(struct openb3d_openb3d_TCamera_obj* bbt_cam,BBFLOAT bbt_r,BBFLOAT bbt_g,BBFLOAT bbt_b);
BBINT openb3d_openb3d_CameraClsMode(struct openb3d_openb3d_TCamera_obj* bbt_cam,BBINT bbt_cls_depth,BBINT bbt_cls_zbuffer);
BBINT openb3d_openb3d_CameraFogColor(struct openb3d_openb3d_TCamera_obj* bbt_cam,BBFLOAT bbt_r,BBFLOAT bbt_g,BBFLOAT bbt_b);
BBINT openb3d_openb3d_CameraFogMode(struct openb3d_openb3d_TCamera_obj* bbt_cam,BBINT bbt_Mode);
BBINT openb3d_openb3d_CameraFogRange(struct openb3d_openb3d_TCamera_obj* bbt_cam,BBFLOAT bbt_nnear,BBFLOAT bbt_nfar);
struct openb3d_openb3d_TEntity_obj* openb3d_openb3d_CameraPick(struct openb3d_openb3d_TCamera_obj* bbt_cam,BBFLOAT bbt_x,BBFLOAT bbt_y);
BBINT openb3d_openb3d_CameraProject(struct openb3d_openb3d_TCamera_obj* bbt_cam,BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z);
BBINT openb3d_openb3d_CameraProjMode(struct openb3d_openb3d_TCamera_obj* bbt_cam,BBINT bbt_Mode);
BBINT openb3d_openb3d_CameraRange(struct openb3d_openb3d_TCamera_obj* bbt_cam,BBFLOAT bbt_nnear,BBFLOAT bbt_nfar);
BBINT openb3d_openb3d_CameraViewport(struct openb3d_openb3d_TCamera_obj* bbt_cam,BBINT bbt_x,BBINT bbt_y,BBINT bbt_width,BBINT bbt_height);
BBINT openb3d_openb3d_CameraZoom(struct openb3d_openb3d_TCamera_obj* bbt_cam,BBFLOAT bbt_zoom);
BBINT openb3d_openb3d_ClearCollisions();
BBINT openb3d_openb3d_ClearSurface(struct openb3d_openb3d_TSurface_obj* bbt_surf,BBINT bbt_clear_verts,BBINT bbt_clear_tris);
BBINT openb3d_openb3d_ClearTextureFilters();
BBINT openb3d_openb3d_ClearWorld(BBINT bbt_entities,BBINT bbt_brushes,BBINT bbt_textures);
struct openb3d_openb3d_TEntity_obj* openb3d_openb3d_CollisionEntity(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBINT bbt_index);
BBFLOAT openb3d_openb3d_CollisionNX(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBINT bbt_index);
BBFLOAT openb3d_openb3d_CollisionNY(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBINT bbt_index);
BBFLOAT openb3d_openb3d_CollisionNZ(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBINT bbt_index);
BBINT openb3d_openb3d_Collisions(BBINT bbt_src_no,BBINT bbt_dest_no,BBINT bbt_method_no,BBINT bbt_response_no);
struct openb3d_openb3d_TSurface_obj* openb3d_openb3d_CollisionSurface(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBINT bbt_index);
BBFLOAT openb3d_openb3d_CollisionTime(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBINT bbt_index);
BBINT openb3d_openb3d_CollisionTriangle(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBINT bbt_index);
BBFLOAT openb3d_openb3d_CollisionX(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBINT bbt_index);
BBFLOAT openb3d_openb3d_CollisionY(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBINT bbt_index);
BBFLOAT openb3d_openb3d_CollisionZ(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBINT bbt_index);
struct openb3d_openb3d_TEntity_obj* openb3d_openb3d_CopyEntity(struct openb3d_openb3d_TEntity_obj* bbt_ent,struct openb3d_openb3d_TEntity_obj* bbt_parent);
struct openb3d_openb3d_TMesh_obj* openb3d_openb3d_CopyMesh(struct openb3d_openb3d_TMesh_obj* bbt_mesh,struct openb3d_openb3d_TEntity_obj* bbt_parent);
BBINT openb3d_openb3d_CountChildren(struct openb3d_openb3d_TEntity_obj* bbt_ent);
BBINT openb3d_openb3d_CountCollisions(struct openb3d_openb3d_TEntity_obj* bbt_ent);
BBINT openb3d_openb3d_CountSurfaces(struct openb3d_openb3d_TMesh_obj* bbt_mesh);
BBINT openb3d_openb3d_CountTriangles(struct openb3d_openb3d_TSurface_obj* bbt_surf);
BBINT openb3d_openb3d_CountVertices(struct openb3d_openb3d_TSurface_obj* bbt_surf);
struct openb3d_openb3d_TBrush_obj* openb3d_openb3d_CreateBrush(BBFLOAT bbt_r,BBFLOAT bbt_g,BBFLOAT bbt_b);
struct openb3d_openb3d_TCamera_obj* openb3d_openb3d_CreateCamera(struct openb3d_openb3d_TEntity_obj* bbt_parent);
struct openb3d_openb3d_TMesh_obj* openb3d_openb3d_CreateCone(BBINT bbt_segments,BBINT bbt_solid,struct openb3d_openb3d_TEntity_obj* bbt_parent);
struct openb3d_openb3d_TMesh_obj* openb3d_openb3d_CreateCylinder(BBINT bbt_segments,BBINT bbt_solid,struct openb3d_openb3d_TEntity_obj* bbt_parent);
struct openb3d_openb3d_TMesh_obj* openb3d_openb3d_CreateCube(struct openb3d_openb3d_TEntity_obj* bbt_parent);
struct openb3d_openb3d_TMesh_obj* openb3d_openb3d_CreateMesh(struct openb3d_openb3d_TEntity_obj* bbt_parent);
struct openb3d_openb3d_TLight_obj* openb3d_openb3d_CreateLight(BBINT bbt_light_type,struct openb3d_openb3d_TEntity_obj* bbt_parent);
struct openb3d_openb3d_TPivot_obj* openb3d_openb3d_CreatePivot(struct openb3d_openb3d_TEntity_obj* bbt_parent);
struct openb3d_openb3d_TMesh_obj* openb3d_openb3d_CreateSphere(BBINT bbt_segments,struct openb3d_openb3d_TEntity_obj* bbt_parent);
struct openb3d_openb3d_TSprite_obj* openb3d_openb3d_CreateSprite(struct openb3d_openb3d_TEntity_obj* bbt_parent);
struct openb3d_openb3d_TSurface_obj* openb3d_openb3d_CreateSurface(struct openb3d_openb3d_TMesh_obj* bbt_mesh,struct openb3d_openb3d_TBrush_obj* bbt_brush);
struct openb3d_openb3d_TTexture_obj* openb3d_openb3d_CreateTexture(BBINT bbt_width,BBINT bbt_height,BBINT bbt_flags,BBINT bbt_frames);
BBFLOAT openb3d_openb3d_DeltaPitch(struct openb3d_openb3d_TEntity_obj* bbt_ent1,struct openb3d_openb3d_TEntity_obj* bbt_ent2);
BBFLOAT openb3d_openb3d_DeltaYaw(struct openb3d_openb3d_TEntity_obj* bbt_ent1,struct openb3d_openb3d_TEntity_obj* bbt_ent2);
BBINT openb3d_openb3d_EntityAlpha(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBFLOAT bbt_alpha);
BBINT openb3d_openb3d_EntityBlend(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBINT bbt_blend);
BBINT openb3d_openb3d_EntityBox(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z,BBFLOAT bbt_w,BBFLOAT bbt_h,BBFLOAT bbt_d);
BBSTRING openb3d_openb3d_EntityClass(struct openb3d_openb3d_TEntity_obj* bbt_ent);
struct openb3d_openb3d_TEntity_obj* openb3d_openb3d_EntityCollided(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBINT bbt_type_no);
BBINT openb3d_openb3d_EntityColor(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBFLOAT bbt_red,BBFLOAT bbt_green,BBFLOAT bbt_blue);
BBFLOAT openb3d_openb3d_EntityDistance(struct openb3d_openb3d_TEntity_obj* bbt_ent1,struct openb3d_openb3d_TEntity_obj* bbt_ent2);
BBINT openb3d_openb3d_EntityFX(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBINT bbt_fx);
BBINT openb3d_openb3d_EntityInView(struct openb3d_openb3d_TEntity_obj* bbt_ent,struct openb3d_openb3d_TCamera_obj* bbt_cam);
BBSTRING openb3d_openb3d_EntityName(struct openb3d_openb3d_TEntity_obj* bbt_ent);
BBINT openb3d_openb3d_EntityOrder(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBINT bbt_order);
BBINT openb3d_openb3d_EntityParent(struct openb3d_openb3d_TEntity_obj* bbt_ent,struct openb3d_openb3d_TEntity_obj* bbt_parent_ent,BBINT bbt_glob);
struct openb3d_openb3d_TEntity_obj* openb3d_openb3d_EntityPick(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBFLOAT bbt_Range);
BBINT openb3d_openb3d_EntityPickMode(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBINT bbt_pick_mode,BBINT bbt_obscurer);
BBFLOAT openb3d_openb3d_EntityPitch(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBINT bbt_glob);
BBINT openb3d_openb3d_EntityRadius(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBFLOAT bbt_radius_x,BBFLOAT bbt_radius_y);
BBFLOAT openb3d_openb3d_EntityRoll(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBINT bbt_glob);
BBINT openb3d_openb3d_EntityShininess(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBFLOAT bbt_shine);
BBINT openb3d_openb3d_EntityTexture(struct openb3d_openb3d_TEntity_obj* bbt_ent,struct openb3d_openb3d_TTexture_obj* bbt_tex,BBINT bbt_frame,BBINT bbt_index);
BBINT openb3d_openb3d_EntityType(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBINT bbt_type_no,BBINT bbt_recursive);
BBINT openb3d_openb3d_EntityVisible(struct openb3d_openb3d_TEntity_obj* bbt_src_ent,struct openb3d_openb3d_TEntity_obj* bbt_dest_ent);
BBFLOAT openb3d_openb3d_EntityX(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBINT bbt_glob);
BBFLOAT openb3d_openb3d_EntityY(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBINT bbt_glob);
BBFLOAT openb3d_openb3d_EntityYaw(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBINT bbt_glob);
BBFLOAT openb3d_openb3d_EntityZ(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBINT bbt_glob);
BBINT openb3d_openb3d_ExtractAnimSeq(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBINT bbt_first_frame,BBINT bbt_last_frame,BBINT bbt_seq);
struct openb3d_openb3d_TEntity_obj* openb3d_openb3d_FindChild(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBSTRING bbt_child_name);
struct openb3d_openb3d_TSurface_obj* openb3d_openb3d_FindSurface(struct openb3d_openb3d_TMesh_obj* bbt_mesh,struct openb3d_openb3d_TBrush_obj* bbt_brush);
BBINT openb3d_openb3d_FitMesh(struct openb3d_openb3d_TMesh_obj* bbt_mesh,BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z,BBFLOAT bbt_width,BBFLOAT bbt_height,BBFLOAT bbt_depth,BBINT bbt_uniform);
BBINT openb3d_openb3d_FlipMesh(struct openb3d_openb3d_TMesh_obj* bbt_mesh);
BBINT openb3d_openb3d_FreeBrush(struct openb3d_openb3d_TBrush_obj* bbt_brush);
BBINT openb3d_openb3d_FreeEntity(struct openb3d_openb3d_TEntity_obj* bbt_ent);
BBINT openb3d_openb3d_FreeTexture(struct openb3d_openb3d_TTexture_obj* bbt_tex);
struct openb3d_openb3d_TTexture_obj* openb3d_openb3d_GetBrushTexture(struct openb3d_openb3d_TBrush_obj* bbt_brush,BBINT bbt_index);
struct openb3d_openb3d_TEntity_obj* openb3d_openb3d_GetChild(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBINT bbt_child_no);
struct openb3d_openb3d_TBrush_obj* openb3d_openb3d_GetEntityBrush(struct openb3d_openb3d_TEntity_obj* bbt_ent);
BBINT openb3d_openb3d_GetEntityType(struct openb3d_openb3d_TEntity_obj* bbt_ent);
BBFLOAT openb3d_openb3d_GetMatElement(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBINT bbt_row,BBINT bbt_col);
struct openb3d_openb3d_TEntity_obj* openb3d_openb3d_GetParent(struct openb3d_openb3d_TEntity_obj* bbt_ent);
struct openb3d_openb3d_TSurface_obj* openb3d_openb3d_GetSurface(struct openb3d_openb3d_TMesh_obj* bbt_mesh,BBINT bbt_surf_no);
struct openb3d_openb3d_TBrush_obj* openb3d_openb3d_GetSurfaceBrush(struct openb3d_openb3d_TSurface_obj* bbt_surf);
BBINT openb3d_openb3d_HandleSprite(struct openb3d_openb3d_TSprite_obj* bbt_sprite,BBFLOAT bbt_h_x,BBFLOAT bbt_h_y);
BBINT openb3d_openb3d_HideEntity(struct openb3d_openb3d_TEntity_obj* bbt_ent);
BBINT openb3d_openb3d_LightColor(struct openb3d_openb3d_TLight_obj* bbt_light,BBFLOAT bbt_red,BBFLOAT bbt_green,BBFLOAT bbt_blue);
BBINT openb3d_openb3d_LightConeAngles(struct openb3d_openb3d_TLight_obj* bbt_light,BBFLOAT bbt_inner_ang,BBFLOAT bbt_outer_ang);
BBINT openb3d_openb3d_LightRange(struct openb3d_openb3d_TLight_obj* bbt_light,BBFLOAT bbt_Range);
struct openb3d_openb3d_TEntity_obj* openb3d_openb3d_LinePick(BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z,BBFLOAT bbt_dx,BBFLOAT bbt_dy,BBFLOAT bbt_dz,BBFLOAT bbt_radius);
struct openb3d_openb3d_TMesh_obj* openb3d_openb3d_LoadAnimMesh(BBSTRING bbt_file,struct openb3d_openb3d_TEntity_obj* bbt_parent);
struct openb3d_openb3d_TTexture_obj* openb3d_openb3d_LoadAnimTexture(BBSTRING bbt_file,BBINT bbt_flags,BBINT bbt_frame_width,BBINT bbt_frame_height,BBINT bbt_first_frame,BBINT bbt_frame_count);
struct openb3d_openb3d_TBrush_obj* openb3d_openb3d_LoadBrush(BBSTRING bbt_file,BBINT bbt_flags,BBFLOAT bbt_u_scale,BBFLOAT bbt_v_scale);
struct openb3d_openb3d_TMesh_obj* openb3d_openb3d_LoadMesh(BBSTRING bbt_file,struct openb3d_openb3d_TEntity_obj* bbt_parent);
struct openb3d_openb3d_TTexture_obj* openb3d_openb3d_LoadTexture(BBSTRING bbt_file,BBINT bbt_flags);
struct openb3d_openb3d_TSprite_obj* openb3d_openb3d_LoadSprite(BBSTRING bbt_tex_file,BBINT bbt_tex_flag,struct openb3d_openb3d_TEntity_obj* bbt_parent);
BBFLOAT openb3d_openb3d_MeshDepth(struct openb3d_openb3d_TMesh_obj* bbt_mesh);
BBFLOAT openb3d_openb3d_MeshHeight(struct openb3d_openb3d_TMesh_obj* bbt_mesh);
BBFLOAT openb3d_openb3d_MeshWidth(struct openb3d_openb3d_TMesh_obj* bbt_mesh);
BBINT openb3d_openb3d_MoveEntity(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z);
BBINT openb3d_openb3d_NameEntity(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBSTRING bbt_name);
BBINT openb3d_openb3d_PaintEntity(struct openb3d_openb3d_TEntity_obj* bbt_ent,struct openb3d_openb3d_TBrush_obj* bbt_brush);
BBINT openb3d_openb3d_PaintMesh(struct openb3d_openb3d_TMesh_obj* bbt_mesh,struct openb3d_openb3d_TBrush_obj* bbt_brush);
BBINT openb3d_openb3d_PaintSurface(struct openb3d_openb3d_TSurface_obj* bbt_surf,struct openb3d_openb3d_TBrush_obj* bbt_brush);
struct openb3d_openb3d_TEntity_obj* openb3d_openb3d_PickedEntity();
BBFLOAT openb3d_openb3d_PickedNX();
BBFLOAT openb3d_openb3d_PickedNY();
BBFLOAT openb3d_openb3d_PickedNZ();
struct openb3d_openb3d_TSurface_obj* openb3d_openb3d_PickedSurface();
BBFLOAT openb3d_openb3d_PickedTime();
BBINT openb3d_openb3d_PickedTriangle();
BBFLOAT openb3d_openb3d_PickedX();
BBFLOAT openb3d_openb3d_PickedY();
BBFLOAT openb3d_openb3d_PickedZ();
BBINT openb3d_openb3d_PointEntity(struct openb3d_openb3d_TEntity_obj* bbt_ent,struct openb3d_openb3d_TEntity_obj* bbt_target_ent,BBFLOAT bbt_roll);
BBINT openb3d_openb3d_PositionEntity(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z,BBINT bbt_glob);
BBINT openb3d_openb3d_PositionMesh(struct openb3d_openb3d_TMesh_obj* bbt_mesh,BBFLOAT bbt_px,BBFLOAT bbt_py,BBFLOAT bbt_pz);
BBINT openb3d_openb3d_PositionTexture(struct openb3d_openb3d_TTexture_obj* bbt_tex,BBFLOAT bbt_u_pos,BBFLOAT bbt_v_pos);
BBFLOAT openb3d_openb3d_ProjectedX();
BBFLOAT openb3d_openb3d_ProjectedY();
BBFLOAT openb3d_openb3d_ProjectedZ();
BBINT openb3d_openb3d_RenderWorld();
BBINT openb3d_openb3d_ResetEntity(struct openb3d_openb3d_TEntity_obj* bbt_ent);
BBINT openb3d_openb3d_RotateEntity(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z,BBINT bbt_glob);
BBINT openb3d_openb3d_RotateMesh(struct openb3d_openb3d_TMesh_obj* bbt_mesh,BBFLOAT bbt_pitch,BBFLOAT bbt_yaw,BBFLOAT bbt_roll);
BBINT openb3d_openb3d_RotateSprite(struct openb3d_openb3d_TSprite_obj* bbt_sprite,BBFLOAT bbt_ang);
BBINT openb3d_openb3d_RotateTexture(struct openb3d_openb3d_TTexture_obj* bbt_tex,BBFLOAT bbt_ang);
BBINT openb3d_openb3d_ScaleEntity(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z,BBINT bbt_glob);
BBINT openb3d_openb3d_ScaleMesh(struct openb3d_openb3d_TMesh_obj* bbt_mesh,BBFLOAT bbt_sx,BBFLOAT bbt_sy,BBFLOAT bbt_sz);
BBINT openb3d_openb3d_ScaleSprite(struct openb3d_openb3d_TSprite_obj* bbt_sprite,BBFLOAT bbt_s_x,BBFLOAT bbt_s_y);
BBINT openb3d_openb3d_ScaleTexture(struct openb3d_openb3d_TTexture_obj* bbt_tex,BBFLOAT bbt_u_scale,BBFLOAT bbt_v_scale);
BBINT openb3d_openb3d_SetAnimTime(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBFLOAT bbt_time,BBINT bbt_seq);
BBINT openb3d_openb3d_SetCubeFace(struct openb3d_openb3d_TTexture_obj* bbt_tex,BBINT bbt_face);
BBINT openb3d_openb3d_SetCubeMode(struct openb3d_openb3d_TTexture_obj* bbt_tex,BBINT bbt_Mode);
BBINT openb3d_openb3d_ShowEntity(struct openb3d_openb3d_TEntity_obj* bbt_ent);
BBINT openb3d_openb3d_SpriteViewMode(struct openb3d_openb3d_TSprite_obj* bbt_sprite,BBINT bbt_Mode);
BBINT openb3d_openb3d_TextureBlend(struct openb3d_openb3d_TTexture_obj* bbt_tex,BBINT bbt_blend);
BBINT openb3d_openb3d_TextureCoords(struct openb3d_openb3d_TTexture_obj* bbt_tex,BBINT bbt_coords);
BBINT openb3d_openb3d_TextureHeight(struct openb3d_openb3d_TTexture_obj* bbt_tex);
BBINT openb3d_openb3d_TextureFilter(BBSTRING bbt_match_text,BBINT bbt_flags);
BBSTRING openb3d_openb3d_TextureName(struct openb3d_openb3d_TTexture_obj* bbt_tex);
BBINT openb3d_openb3d_TextureWidth(struct openb3d_openb3d_TTexture_obj* bbt_tex);
BBFLOAT openb3d_openb3d_TFormedX();
BBFLOAT openb3d_openb3d_TFormedY();
BBFLOAT openb3d_openb3d_TFormedZ();
BBINT openb3d_openb3d_TFormNormal(BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z,struct openb3d_openb3d_TEntity_obj* bbt_src_ent,struct openb3d_openb3d_TEntity_obj* bbt_dest_ent);
BBINT openb3d_openb3d_TFormPoint(BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z,struct openb3d_openb3d_TEntity_obj* bbt_src_ent,struct openb3d_openb3d_TEntity_obj* bbt_dest_ent);
BBINT openb3d_openb3d_TFormVector(BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z,struct openb3d_openb3d_TEntity_obj* bbt_src_ent,struct openb3d_openb3d_TEntity_obj* bbt_dest_ent);
BBINT openb3d_openb3d_TranslateEntity(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z,BBINT bbt_glob);
BBINT openb3d_openb3d_TriangleVertex(struct openb3d_openb3d_TSurface_obj* bbt_surf,BBINT bbt_tri_no,BBINT bbt_corner);
BBINT openb3d_openb3d_TurnEntity(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z,BBINT bbt_glob);
BBINT openb3d_openb3d_UpdateNormals(struct openb3d_openb3d_TMesh_obj* bbt_mesh);
BBINT openb3d_openb3d_UpdateWorld(BBFLOAT bbt_anim_speed);
BBFLOAT openb3d_openb3d_VectorPitch(BBFLOAT bbt_vx,BBFLOAT bbt_vy,BBFLOAT bbt_vz);
BBFLOAT openb3d_openb3d_VectorYaw(BBFLOAT bbt_vx,BBFLOAT bbt_vy,BBFLOAT bbt_vz);
BBFLOAT openb3d_openb3d_VertexAlpha(struct openb3d_openb3d_TSurface_obj* bbt_surf,BBINT bbt_vid);
BBFLOAT openb3d_openb3d_VertexBlue(struct openb3d_openb3d_TSurface_obj* bbt_surf,BBINT bbt_vid);
BBINT openb3d_openb3d_VertexColor(struct openb3d_openb3d_TSurface_obj* bbt_surf,BBINT bbt_vid,BBFLOAT bbt_r,BBFLOAT bbt_g,BBFLOAT bbt_b,BBFLOAT bbt_a);
BBINT openb3d_openb3d_VertexCoords(struct openb3d_openb3d_TSurface_obj* bbt_surf,BBINT bbt_vid,BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z);
BBFLOAT openb3d_openb3d_VertexGreen(struct openb3d_openb3d_TSurface_obj* bbt_surf,BBINT bbt_vid);
BBINT openb3d_openb3d_VertexNormal(struct openb3d_openb3d_TSurface_obj* bbt_surf,BBINT bbt_vid,BBFLOAT bbt_nx,BBFLOAT bbt_ny,BBFLOAT bbt_nz);
BBFLOAT openb3d_openb3d_VertexNX(struct openb3d_openb3d_TSurface_obj* bbt_surf,BBINT bbt_vid);
BBFLOAT openb3d_openb3d_VertexNY(struct openb3d_openb3d_TSurface_obj* bbt_surf,BBINT bbt_vid);
BBFLOAT openb3d_openb3d_VertexNZ(struct openb3d_openb3d_TSurface_obj* bbt_surf,BBINT bbt_vid);
BBFLOAT openb3d_openb3d_VertexRed(struct openb3d_openb3d_TSurface_obj* bbt_surf,BBINT bbt_vid);
BBINT openb3d_openb3d_VertexTexCoords(struct openb3d_openb3d_TSurface_obj* bbt_surf,BBINT bbt_vid,BBFLOAT bbt_u,BBFLOAT bbt_v,BBFLOAT bbt_w,BBINT bbt_coord_set);
BBFLOAT openb3d_openb3d_VertexU(struct openb3d_openb3d_TSurface_obj* bbt_surf,BBINT bbt_vid,BBINT bbt_coord_set);
BBFLOAT openb3d_openb3d_VertexV(struct openb3d_openb3d_TSurface_obj* bbt_surf,BBINT bbt_vid,BBINT bbt_coord_set);
BBFLOAT openb3d_openb3d_VertexW(struct openb3d_openb3d_TSurface_obj* bbt_surf,BBINT bbt_vid,BBINT bbt_coord_set);
BBFLOAT openb3d_openb3d_VertexX(struct openb3d_openb3d_TSurface_obj* bbt_surf,BBINT bbt_vid);
BBFLOAT openb3d_openb3d_VertexY(struct openb3d_openb3d_TSurface_obj* bbt_surf,BBINT bbt_vid);
BBFLOAT openb3d_openb3d_VertexZ(struct openb3d_openb3d_TSurface_obj* bbt_surf,BBINT bbt_vid);
BBINT openb3d_openb3d_Wireframe(BBINT bbt_enable);
BBINT openb3d_openb3d_AddAnimSeq(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBINT bbt_length);
BBINT openb3d_openb3d_AlignToVector(struct openb3d_openb3d_TEntity_obj* bbt_entity,BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z,BBINT bbt_axis,BBINT bbt_rate);
struct openb3d_openb3d_TMesh_obj* openb3d_openb3d_CreatePlane(BBINT bbt_divisions,struct openb3d_openb3d_TEntity_obj* bbt_parent);
struct openb3d_openb3d_TTerrain_obj* openb3d_openb3d_CreateTerrain(BBINT bbt_size,struct openb3d_openb3d_TEntity_obj* bbt_parent);
BBINT openb3d_openb3d_LoadAnimSeq(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBSTRING bbt_file);
struct openb3d_openb3d_TTerrain_obj* openb3d_openb3d_LoadTerrain(BBSTRING bbt_file,struct openb3d_openb3d_TEntity_obj* bbt_parent);
BBINT openb3d_openb3d_MeshesIntersect(struct openb3d_openb3d_TMesh_obj* bbt_mesh1,struct openb3d_openb3d_TMesh_obj* bbt_mesh2);
BBINT openb3d_openb3d_ModifyTerrain(struct openb3d_openb3d_TTerrain_obj* bbt_terr,BBINT bbt_x,BBINT bbt_z,BBFLOAT bbt_new_height);
BBINT openb3d_openb3d_SetAnimKey(struct openb3d_openb3d_TEntity_obj* bbt_ent,BBFLOAT bbt_frame,BBINT bbt_pos_key,BBINT bbt_rot_key,BBINT bbt_scale_key);
BBFLOAT openb3d_openb3d_TerrainHeight(struct openb3d_openb3d_TTerrain_obj* bbt_terr,BBINT bbt_x,BBINT bbt_z);
BBFLOAT openb3d_openb3d_TerrainX(struct openb3d_openb3d_TTerrain_obj* bbt_terr,BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z);
BBFLOAT openb3d_openb3d_TerrainY(struct openb3d_openb3d_TTerrain_obj* bbt_terr,BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z);
BBFLOAT openb3d_openb3d_TerrainZ(struct openb3d_openb3d_TTerrain_obj* bbt_terr,BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z);

#endif
